
import { View, Image } from "@tarojs/components"
import { useDidShow } from "@tarojs/taro"
import { useState } from "react"
import './MineCss/style.less'


export default (props) => {
  const [isLoginBox, setIsLoginBox] = useState(false)

  return (
    <scroll-view scrollY style='height: 100%;' >

      <View>
        {/* 头像 */}
        {
          !isLoginBox ?
            <View className='User-Avatar-background-falseBox'>
              <Image className='User-Avatar-background-falseBox-userImg userImg' src='https://profile.csdnimg.cn/3/1/5/0_qq_42551866' />
              <View className='User-Avatar-background-falseBox-userLogin' onClick={() => setIsLoginBox(true)}>点击登陆</View>
            </View>
            :
            <View className='User-Avatar-background-trueBox'>
              <View className='setPassword'>修改密码</View>
              <Image className='User-Avatar-background-trueBox-userImg' src='https://profile.csdnimg.cn/3/1/5/0_qq_42551866' />
              <View className='User-Avatar-background-trueBox-name textStyle' >鲍zhangchao</View>
              <View className='User-Avatar-background-trueBox-phone textStyle'>18082043755</View>
            </View>
        }

        {/* 菜单 */}
        <View className='User-Setup-background'>
          <View className='User-Setup-background-SetupText'>设置</View>
          <View className='User-Setup-background-wxInfo'>
            <View className='User-Setup-background-wxInfo-InfoCell'>
              <Image className='User-Setup-background-wxInfo-InfoCell-imgae' src='https://profile.csdnimg.cn/3/1/5/0_qq_42551866' />
              <View className='User-Setup-background-wxInfo-InfoCell-text'>关于我闷</View>
              <View> 》 </View>
            </View>

          </View>
        </View>
      </View>
    </scroll-view>
  )
}
